<nb-card>
  <nb-card-header>
    Edit profile
  </nb-card-header>
  <nb-card-body [nbSpinner]="loading" nbSpinnerMessage="Saving...">
    <form [formGroup]="form">
      <div class="form-group">
        <label class="label" for="title">Title:</label>
        <input id="title" class="form-control" fullWidth nbInput formControlName="title" [ngClass]="{'is-invalid': hasError('title')}"/>

        <div class="invalid-feedback mt-2" *ngIf="hasError('title')">
          <span *ngIf="form.controls.title.errors.required">Field is required</span>
          <span *ngIf="form.controls.title.errors.minlength">Min. length is 3</span>
          <span *ngIf="form.controls.title.errors.maxlength">Max. length is 50</span>
        </div>
      </div>

      <div class="form-group">
        <label class="label" for="description">Description:</label>
        <textarea id="description" class="form-control" fullWidth nbInput formControlName="description" [ngClass]="{'is-invalid': hasError('description')}"></textarea>

        <div class="invalid-feedback mt-2" *ngIf="hasError('description')">
          <span *ngIf="form.controls.description.errors.required">Field is required</span>
          <span *ngIf="form.controls.description.errors.minlength">Min. length is 20</span>
          <span *ngIf="form.controls.description.errors.maxlength">Max. length is 200</span>
        </div>
      </div>

      <div class="form-group">
        <label class="label" for="imgUrl">Image URL:</label>
        <input id="imgUrl" class="form-control" fullWidth nbInput formControlName="imgUrl" [ngClass]="{'is-invalid': hasError('imgUrl')}"/>

        <div class="invalid-feedback mt-2" *ngIf="hasError('imgUrl')">
          <span *ngIf="form.controls.imgUrl.errors.required">Field is required</span>
          <span *ngIf="form.controls.imgUrl.errors.pattern">Invalid URL</span>
        </div>
      </div>

      <div class="img" *ngIf="!hasError('imgUrl') && form.controls?.imgUrl?.value">
        <div class="image" [ngStyle]="{'background-image': 'url(' + form.controls?.imgUrl?.value + ')'}"></div>
      </div>
    </form>
  </nb-card-body>
  <nb-card-footer class="d-flex justify-content-between">
    <button nbButton ghost status="warning" (click)="cancel()">Cancel</button>
    <button nbButton ghost status="success" (click)="save()" [disabled]="!form.valid">Save</button>
  </nb-card-footer>
</nb-card>
